<template>
  <div id="app">
    <div id="notes">
      <note
        v-for="(id) in ids"
        :key="'note-'+id"
        :id="id"
        @delete="deleteItem(id)"/>
    </div>
    <button
      @click="addItem">
      Add
    </button>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex';
import Note from './Note';

export default {
  name: 'app',
  components: {
    Note
  },
  computed: {
    ...mapState('notes', [
      'ids'
    ])
  },
  methods: {
    ...mapActions('notes', [
      'addItem',
      'deleteItem'
    ])
  }
}
</script>

<style lang="scss">

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  display: flex;
  width: 100%;
  height: 100%;
}

#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  display: flex;
  flex-direction: column;
  width: 400px;
  margin: 2rem auto auto;

  // background: red;
  padding: 2rem;
  border: 2px solid #E8E8E8;
  // border-radius: .1rem;

  & > *:not(:first-child) {
    margin-top: 2rem;
  }
}

button, input {
  border: 2px solid #D8D8D8;
  color: #B8B8B8;
  background: transparent;
  padding: .4rem 1rem;
  font-weight: 600;
}
</style>
